Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Courses

Get Courses
GET /training/courses
https://api.relesysapp.net/api/v1.4/training/courses
Get a list of Courses
Scopes: relesys.api, relesys.api:read, relesys.api.training, relesys.api.training:read
Query String
courseGroupId string / guid Filterable optional
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
name string Filterable Sortable optional
performanceScoreRequired integer Filterable Sortable optional
phaseId string / guid Filterable optional
sortOrder integer Filterable Sortable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"e8fc157c-61c0-4aa7-949b-420133994b45","courseGroupId":"e88d4dbb-d036-4476-9579-6c6b179b70f5","phaseId":"a6075c2b-80fd-42b5-b6dd-935c4df43830","creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-11-08T22:00:00+00:00","name":"Training Course","performanceScoreRequired":95},{"id":"12b340f5-019b-4d6e-89ea-a5266474fd7e","courseGroupId":"41200ac9-e4d6-4733-b7ed-9090c2e78ac7","phaseId":"af704193-5cfd-445b-a9df-4c1eb7538d75","creationDateTime":"2020-08-15T22:00:00+00:00","lastModifiedDateTime":"2020-10-19T22:00:00+00:00","name":"Training E-Learning","performanceScoreRequired":80}]}
object
  count integer      
  ⯈ data array[object]      
   courseGroupId string / guid      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   name string      
   performanceScoreRequired integer      
   phaseId string / guid      
  nextUrl string      
  previousUrl string